uses
  dhash in '../dhash.pas',
  jenkins;

{const
  S: array[0..4] of String = (
    'a',
    'bcde',
    'visualdoj',
    '',
    'This is some text.');}

var
  S: String;
  I: Integer;

begin
  for I := 1 to ParamCount do begin
      S := ParamStr(I);
      Writeln(S, #9, HashJenkins(@S[1], Length(S)));
  end;
end.
